A lot of script-driven applications, especially paid content management systems, encrypt their files to make sure that they will not be reverse engineered or tampered with. Many of them use an application known as ionCube PHP Encoder to do this, so when you purchase a paid script and you want to set it up in a hosting account, an instrument called ionCube Loader has to be present on the server. Without it, you will not be able to install the script or if you somehow find a way to do that, it won't work efficiently because most of the script code will be encrypted to a point where it cannot be interpreted. In this light, you have to ensure that ionCube Loader is set up when you get a fresh hosting account and you wish to employ some paid web application. If you buy a shared website hosting account and the instrument is not present, it can't be added as the whole server PHP environment shall have to be compiled again.
IonCube in Hosting
If you buy a Linux hosting through our company, it'll be set up on our custom-made cloud hosting platform where ionCube Loader is already installed, so you will not have any kind of problems to manage any script application which needs the instrument so as to function appropriately. We also offer a few different releases of PHP, therefore in case you switch the version, you'll have to activate ionCube again. Our platform remembers the adjustments you make, and in case you go back to the earlier version of PHP that was active for your account, ionCube Loader will already be enabled. The PHP version and the ionCube tool can be operated through the PHP Configuration section of our Hepsia website hosting Control Panel. Every change that you do takes literally just a single click and it'll take effect immediately.
IonCube in Semi-dedicated Hosting
If you purchase a semi-dedicated server plan from us, you'll be able to employ any kind of script-driven application that needs ionCube Loader as the tool is available on all servers which are part of our advanced cloud website hosting platform. Furthermore, we support several releases of PHP, therefore if you move from PHP 4 to 5.2 or 5.3, for example, you can activate ionCube for that particular version with just a click in your Hepsia Control Panel. Our system will remember your decision, so in case you move back to the previous version of PHP, the instrument will already be active. For more experienced users, we also provide the option to choose the PHP version and whether ionCube will be active or not for a specific domain name without altering the settings for the entire website hosting account. This can be done by putting a php.ini file within a domain folder with a few lines of program code.